> ## Name

> texBUF - performs an unfiltered texture lookup in a given texture buffer sampler.

> ## Synopsis

>     float4 texBUF(samplerBUF samp, int s)

>     int4 texBUF(isamplerBUF samp, int s)

>     unsigned int4 texBUF(usamplerBUF samp, int s)

> ## Parameters

> samp
>   Sampler to lookup.
> s
>   Coordinates to perform the lookup.

> ## Description

> Performs an unfiltered texture lookup in texture buffer sampler samp using coordinates s.

> Texture buffer samplers are created with the EXT_texture_buffer_object extension. See:

>       http://developer.download.nvidia.com/opengl/specs/GL_EXT_texture_buffer_object.txt

> Texture buffer object samplers roughly correspond to the tbuffer functionality of DirectX 10.

> ## Profile Support

> texBUF is supported in gp4vp, gp4gp, and gp4fp profiles.

> ## See Also

> tex1D, texBUFsize